/******************************************************************************
 *	File	:	PdoDefine.h
 *	Version :	0.3
 *	Date	:	2021/01/03
 *	Author	:	XFORCE
 *
 *
 *	Define slave device PDO data structure
 *
 *	You can configure the PDO structure you wanted,
 *	or you can just use the default PDO structure.
 *	No matter what, the example program need to know.
 *
 *
 * @copyright (C) 2020 NEXTW TECHNOLOGY CO., LTD.. All rights reserved.
 *
 ******************************************************************************/
#ifndef _ECM_USR_PDO_DEFINE_H_
#define _ECM_USR_PDO_DEFINE_H_
//  The Sync Manager PDO Assign objects
#define RxPDO_ASSIGN_IDX		0x1C12
#define TxPDO_ASSIGN_IDX		0x1C13
//	The PDO mapping objects
#define RxPDO_MAP_IDX			0x1600
#define TxPDO_MAP_IDX			0x1A00
//	RxPDO - 0x1600
typedef struct __attribute__((__packed__)) _rxpdo_st_def_t
{
	uint16_t u16CtlWord;	//	0x6040 - Control word
	int32_t n32TarPos;		//	0x607A - Target position
	int32_t n32TarVel;		//	0x60FF - Target velocity
	int8_t n8OpMode;		//	0x6060 - Mode of Operation
	//	Others don't care in this example
}RXPDO_ST_DEF_T;
//	TxPDO - 0x1A00
typedef struct __attribute__((__packed__)) _txpdo_st_def_t
{
	uint16_t u16StaWord;	//	0x6041 - Status word
	int32_t n32AcuPos;		//	0x6064 - Position actual value
	//	Others don't care in this example
}TXPDO_ST_DEF_T;

#endif
